Overview
DELETE/persona-memory/links/{srcId}/{dstId}/{relation}persona_memory

Delete links

Delete a record from links by srcId, dstId, relation.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • srcIdpathstring
  • dstIdpathstring
  • relationpathstring
Responses
204

Deleted

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/persona-memory/links/{srcId}/{dstId}/{relation}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/links/{srcId}/{dstId}/{relation}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();